#-------------------------------------------------------------------
#
#  Filename      : makefile
#  Author        : Huang Lei Lei
#  Created       : 2014-12-12
#  Description   : makefile to run ncsim
#
#  $Id$
#
#-------------------------------------------------------------------

NAME_TOP    := tb_PAS_Qsys
USERNAME    := $(shell whoami)
SOURCE_FILE := file_list

NOVAS_LIB   := "/eda/synopsys/verdi201307/share/PLI/MODELSIM/LINUX/novas_fli.so"
NOVAS       := debussy

default:
	@echo
	@echo "Make targets:"
	@echo "  make ncsim     run simulations using ncverilog"
	@echo "  make cleanall  clean all generated files"
	@echo

ncsim:
	ncverilog -allowredefinition +access+r -l ./simul_data/$(NAME_TOP).log -f $(SOURCE_FILE).f -timescale 1ns/1ps

clean:
	rm -rf work/
	rm -rf INCA_libs/
	rm -rf model*
	rm -rf novas*
	rm -rf ncverilog*
	rm -rf trans*
	rm -rf vsim.wlf
	rm -f  $(NAME_TOP).log
	rm -rf ./dump/*
	rm -f *.fsdb
	rm -rf ./*exeLog





